/*! minireset.css v0.0.6 | MIT License | github.com/jgthms/minireset.css */
html,
body,
p,
ol,
ul,
li,
dl,
dt,
dd,
blockquote,
figure,
fieldset,
legend,
textarea,
pre,
iframe,
hr,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: 100%;
  font-weight: normal;
}

ul {
  list-style: none;
}

button,
input,
select {
  margin: 0;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

img,
video {
  height: auto;
  max-width: 100%;
}

iframe {
  border: 0;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

td,
th {
  padding: 0;
}

/* minireset */

/* ------------------------------------------------------------- */

:root {
  --black: #000;
  --white: #fff;

  --primary-color: var(--black);
  --button-color: var(--black);
  --button-hover-color: #FAEE1E;
  --button-text-color: var(--white);
  --button-text-hover-color: var(--black);
  --link-color: var(--black);
  --link-hover-color: #FAEE1E;
  --text-color: var(--black);
  --text-color-on-primary: var(--white);

  --fallback-font-stack: "Helvetica Neue", Helvetica, Arial, sans-serif;
  --body-font-stack: var(--body-font), var(--fallback-font-stack);
  --heading-font-stack: var(--heading-font), var(--fallback-font-stack);

  --max-width: 1920px;
  --gutter-width: clamp(10px, 1.25vw, 24px);
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

::selection {
  background-color: var(--primary-color);
  color: var(--text-color-on-primary);
}

:focus-visible {
  outline: 2px solid var(--primary-color);
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: var(--body-font-stack);
  font-size: var(--font-size);
  letter-spacing: var(--body-font-letter-spacing);
  line-height: var(--body-font-line-height);
  background-color: var(--white);
}

h1,
h2,
h3 {
  font-family: var(--heading-font-stack);
  letter-spacing: var(--heading-font-letter-spacing);
  line-height: var(--heading-font-line-height);
}

a {
  color: var(--link-color);
  transition: color 200ms ease;
  text-decoration: none;
}

a:hover {
  color: var(--link-hover-color);
}

.visually-hidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

button {
  all: unset;
}